> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hitheo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 获取设置

> 读取当前用户的偏好设置。

## 响应

<ResponseField name="default_mode" type="string">
  发送 `auto` 时使用的默认路由模式。取值为以下之一：`auto`、`fast`、`think`、`code`、`research`、`image`、`video`、`roast`。
</ResponseField>

<ResponseField name="personality" type="string">
  Theo 的人格模式。`"theo"`（默认）或 `"none"`（中性）。
</ResponseField>

<ResponseField name="timezone" type="string">
  IANA 时区字符串（例如 `"America/Guayaquil"`）。
</ResponseField>

<ResponseField name="theo_branding" type="boolean">
  当为 `false` 时，API 响应中会去除 Theo 的人格、背景故事、吉祥物表情符号以及带品牌标识的模型名称。默认值：`true`。
</ResponseField>

## 身份验证

需要提供 API 密钥或仪表盘会话。

## 示例

```bash curl theme={null}
curl https://www.hitheo.ai/api/v1/settings \
  -H "Authorization: Bearer $THEO_API_KEY"
```

### 响应

```json theme={null}
{
  "default_mode": "auto",
  "personality": "theo",
  "timezone": "America/Guayaquil",
  "theo_branding": true
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.